package com.fdkankan.rubbersheeting;

import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public interface ScalingService {
    String createEcs();

    String createEcsByConfig(Map<String,String> configs);

    String createEcs(String ruleAri);

    String createEcsByConfig(String ruleAri);

    String deleteEcs(String id);

    String deleteEcs(String groupId, String instanceId);
}


